For the complete documentation index, see llms.txt. This page is also available as Markdown.

TellerTranFee

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getTellerTranFee

post

Retrieve TellerTranFee parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
TellerTranFeeFeeCodeintegerOptional
TellerTranFeeTypeCodeintegerOptional
Responses
200

Successful operation.

application/json
post/getTellerTranFee
POST /nexum/627/2022.01/parameter/getTellerTranFee HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 186

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "TellerTranFeeFeeCode": 1,
  "TellerTranFeeTypeCode": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "TellerTranFee": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getTellerTranFee"
}

getTellerTranFeeSelectFields

post

Retrieve TellerTranFee parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
TellerTranFeeFeeCodeintegerOptional
TellerTranFeeTypeCodeintegerOptional
Responses
200

Successful operation.

application/json
post/getTellerTranFeeSelectFields
POST /nexum/627/2022.01/parameter/getTellerTranFeeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 282

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "TellerTranFeeFeeCode": 1,
  "TellerTranFeeTypeCode": 0,
  "SelectableFields": {
    "TellerTranFeeFields": {
      "FeeCode": true,
      "TypeCode": true,
      "FeeOption": true
    }
  }
}
200

Successful operation.

{
  "TellerTranFee": {
    "FeeCode": 1,
    "FeeOption": 2,
    "TypeCode": 0
  },
  "MessageId": "getTellerTranFeeSelectFields"
}

updateTellerTranFeeByID

post

Update TellerTranFee parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
TellerTranFeeFeeCodeintegerOptional
TellerTranFeeTypeCodeintegerOptional
Responses
200

Successful operation.

application/json
post/updateTellerTranFeeByID
POST /nexum/627/2022.01/parameter/updateTellerTranFeeByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 258

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "TellerTranFeeFeeCode": 1,
  "TellerTranFeeTypeCode": 1,
  "TellerTranFeeUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateTellerTranFeeByID"
}

Last updated

Was this helpful?